#!/bin/bash

set -ex
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
POSTGRES_IMAGE=${POSTGRES_IMAGE:-artifactory-pub.bit9.local:5000/postgres:14}

echo "Waiting for postgres to be healthy"
# Wait for postgres to start
until docker run --rm --network=docker_default ${POSTGRES_IMAGE} pg_isready -h postgres -U localdev -d localdev; do
    sleep 2
done
echo "Postgres is ready!"

# Create tables
docker run --network=docker_default -e PGPASSWORD=localdev --rm -v ${DIR}/..:/tmp/db ${POSTGRES_IMAGE} psql -h postgres -U localdev -d localdev -f /tmp/db/init.sql
